DROP TABLE products IF EXISTS;
DROP product_record_num_sequence IF EXISTS;
DROP product_product_id_sequence IF EXISTS;

CREATE product_record_num_sequence CASCADE;
CREATE product_product_id_sequence CASCADE;

CREATE TABLE products(
  record_num INTEGER       PRIMARY KEY DEFAULT nextval('product_record_num_sequence'),
  product_id   INTEGER       PRIMARY KEY DEFAULT,
  name       VARCHAR(20),
  exp_date   DATE          NOT NULL,
);
